شما هنوز به سیستم وارد نشده اید.

#1 2016-10-14 23:01:26

mazhar
عضو
ثبت شده: 2016-08-01
ارسال ها: 253

[حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

با سلام smile اغا من میخواستم این رینگ های کانکی رو راه بیندازم، با توجه به توضیحات برنامه نویس اون کانفیگ باید conky-lua رو نصب داشته باشم. پس زدم از AUR بگیرم و این ارور رو می گیرم:

/etc/makepkg.conf: line 102: syntax error near unexpected token `('
/etc/makepkg.conf: line 102: `MAN_DIRS=({usr{,/local}{,/share},opt/*}/{man,info})'
==> ERROR: conky-lua is not available for the '' architecture.
==> ERROR: Makepkg was unable to build conky-lua.

و محتویات فایل PKGBUILD هم این هست:

# Maintainer: TidestManager1 < michaelpulliam1 (at) gmail (dot) com > 
  2 pkgname=conky-lua
  3 _pkgname=conky
  4 pkgver=1.10.1
  5 pkgrel=7
  6 pkgdesc='Lightweight system monitor for X, with Lua support enabled'
  7 url='http://github.com/brndnmtthws/conky'
  8 license=('BSD' 'GPL3')
  9 arch=('i686' 'x86_64')
 10 options=('!emptydirs')
 11 makedepends=('docbook2x' 'perl-xml-libxml' 'cmake' 'docbook-xsl' 'docbook-xm
 12 depends=('tolua++' 'alsa-lib' 'libxml2' 'curl' 'wireless_tools' 'libxft' 'gl
 13 provides=('conky=1.10.1')
 14 conflicts=('conky')
 15 backup=('etc/conky/conky.conf' 'etc/conky/conky_no_x11.conf')
 16 source=("https://github.com/brndnmtthws/${_pkgname}/archive/v${pkgver}.tar.g
 17 sha1sums=('97b59ec1daf54126b30516e8663a9cf1f218d8ae')
 18 
 19 replaces=('torsmo')
 20 
 21 build() {
 22     cd "${srcdir}/${_pkgname}-${pkgver}"
 23 
 24     CPPFLAGS="${CXXFLAGS}" LIBS="${LDFLAGS}" LUA_LIBS="-llua5.1" LUA_CFLAGS=
 25         cmake \
 26         -D CMAKE_INSTALL_PREFIX=/usr \
 27         -D CMAKE_BUILD_TYPE=Release \
 28         -D MAINTAINER_MODE=ON \
 29         -D BUILD_CURL=ON \
 30         -D BUILD_LUA_RSVG=ON \
 31         -D BUILD_LUA_CAIRO=ON \
 32         -D BUILD_LUA_IMLIB2=ON \
 33         -D BUILD_IMLIB2=ON \
 34         -D BUILD_RSS=ON \
 35         -D BUILD_WEATHER_METAR=ON \
 36         -D BUILD_WEATHER_XOAP=ON \
 37         -D BUILD_XDBE=ON \
 38         -D BUILD_WLAN=ON \
 39         .
 40 
 41 
 42     make
 43 }
 44 
 45 package() {
 46     cd "${srcdir}/${_pkgname}-${pkgver}"
 47     make DESTDIR="${pkgdir}" install
 48     install -Dm644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
 49     install -Dm644 LICENSE.BSD ${pkgdir}/usr/share/licenses/${pkgname}/LICEN
 50     install -Dm644 extras/vim/syntax/conkyrc.vim "${pkgdir}"/usr/share/vim/v
 51     install -Dm644 extras/vim/ftdetect/conkyrc.vim "${pkgdir}"/usr/share/vim
 52 }
 53 
 54 prepare() {
 55     cd "${srcdir}/${_pkgname}-${pkgver}"
 56     patch -p1 -i ${startdir}/fix_build.patch
 57 }

این شماره ها هم مال vim هست، توی فایل نیست(مشخصه ولی خب).

آخرین ویرایش توسط mazhar (2016-10-14 23:50:11)

آفلاین

#2 2016-10-14 23:05:29

Риал Краесис
عضو
از : تهران
ثبت شده: 2015-09-16
ارسال ها: 317

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

من هنوز از نسخه قبلیش استفاده میکنم!
خیلی وقته مشکل داره و طرف رفعش هم نمیکنه!
ویرایش: با پراکسی تست نکردم یه تست کن

آخرین ویرایش توسط Риал Краесис (2016-10-14 23:06:16)


*** I FIGHT FOR USERS ***

آفلاین

#3 2016-10-14 23:10:27

mazhar
عضو
ثبت شده: 2016-08-01
ارسال ها: 253

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

عجیبه! اون قسمت حل شد. واقعا بدبختی گیر کردیم از دست این محدودیت ها. حالا قسمت build گیر کرده hmm

آفلاین

#4 2016-10-14 23:11:18

Arcush
Moderator
ثبت شده: 2015-09-15
ارسال ها: 1,308

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

build() رو بردارید و بجاش package() بذارید.

آفلاین

#5 2016-10-14 23:15:34

mazhar
عضو
ثبت شده: 2016-08-01
ارسال ها: 253

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

فقط اون build رو برداشتم (خودش package داشت):

make: *** No rule to make target 'install'.  Stop.
==> ERROR: A failure occurred in package().
    Aborting...
==> ERROR: Makepkg was unable to build conky-lua.

آفلاین

#6 2016-10-14 23:19:22

Arcush
Moderator
ثبت شده: 2015-09-15
ارسال ها: 1,308

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

پوزش. من قسمت package() رو ندیدم. جدای از بحث ترمیم pkgbuild، فکر کنم ممکن باشه که مجتبی عزیز با bacman بسته رو ریپرودیوس کنه و بهتون بده.

آفلاین

#7 2016-10-14 23:23:51

mazhar
عضو
ثبت شده: 2016-08-01
ارسال ها: 253

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

جداً؟ چنین چیزی ممکنه؟ تو ویکی چیزی پیدا نکردم راجع به bacman! میشه لطف کنین لینک بدین آرکوش جان؟

آفلاین

#8 2016-10-14 23:29:01

TUX
عضو
ثبت شده: 2016-01-31
ارسال ها: 84

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

مخازن مانجارو بسته آماده نصب رو داره

x86_64
http://repo.manjaro.org.uk/stable/community/x86_64/conky-lua-nv-1.10.2-1-x86_64.pkg.tar.xz

i686
http://repo.manjaro.org.uk/stable/community/i686/conky-lua-nv-1.10.2-1-i686.pkg.tar.xz

آفلاین

#9 2016-10-14 23:31:00

Arcush
Moderator
ثبت شده: 2015-09-15
ارسال ها: 1,308

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

بله مظهرجان. خیلی هم خوب کار میکنه. مثلا bacman vlc رو بزنید تا بسته vlc توسط خود پکمن بازتولید بشه. این اسکریپت که توی پکمن هست، هرچیزیکه توسط ابزارهای خانواده پکمن نصب شده رو میتونه دوباره بسته کنه. متاسفانه man-page نداره ولی info bacman و  cat /usr/bin/bacman اطلاعات بسیار خوبی در اختیار قرار میدن.

TUX@ عزیز، پس یک- هیچ به نفع مانجارو. big_smile

آخرین ویرایش توسط Arcush (2016-10-14 23:31:29)

آفلاین

#10 2016-10-14 23:33:33

mazhar
عضو
ثبت شده: 2016-08-01
ارسال ها: 253

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

TUX نوشته است که:

مخازن مانجارو بسته آماده نصب رو داره

x86_64
http://repo.manjaro.org.uk/stable/community/x86_64/conky-lua-nv-1.10.2-1-x86_64.pkg.tar.xz

ممنون ولی این ارور رو می گیرم:

loading packages...
error: missing package metadata in /home/mazhar/Downloads/a8c7d5417d7aefc9df053dfe6fbf9690.tar
error: '/home/mazhar/Downloads/a8c7d5417d7aefc9df053dfe6fbf9690.tar': invalid or corrupted package

آفلاین

#11 2016-10-14 23:36:08

mazhar
عضو
ثبت شده: 2016-08-01
ارسال ها: 253

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

Arcush نوشته است که:

بله مظهرجان. خیلی هم خوب کار میکنه. مثلا bacman vlc رو بزنید تا بسته vlc توسط خود پکمن بازتولید بشه. این اسکریپت که توی پکمن هست، هرچیزیکه توسط ابزارهای خانواده پکمن نصب شده رو میتونه دوباره بسته کنه. متاسفانه man-page نداره ولی info bacman و  cat /usr/bin/bacman اطلاعات بسیار خوبی در اختیار قرار میدن.

big_smile

ممنون smile مشکل خوبی بود. عجب یادگیری قشنگی داشت.

آفلاین

#12 2016-10-14 23:39:17

mazhar
عضو
ثبت شده: 2016-08-01
ارسال ها: 253

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

ببخشید. اصلاح می کنم. اون پکیج مانجارو ارور دیگه ای داد. من اشتباهاً پکیج دیگه ای رو زده بودم. در هر صورت این اروره:

loading packages...
resolving dependencies...
looking for conflicting packages...
:: conky-lua-nv and conky are in conflict. Remove conky? [y/N] 

فکر نکنم کانکی رو حذف کنم تا پلاگینشو نصب کنم!! yikes

آفلاین

#13 2016-10-14 23:40:26

TUX
عضو
ثبت شده: 2016-01-31
ارسال ها: 84

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

mazhar نوشته است که:
TUX نوشته است که:

مخازن مانجارو بسته آماده نصب رو داره

x86_64
http://repo.manjaro.org.uk/stable/community/x86_64/conky-lua-nv-1.10.2-1-x86_64.pkg.tar.xz

ممنون ولی این ارور رو می گیرم:

loading packages...
error: missing package metadata in /home/mazhar/Downloads/a8c7d5417d7aefc9df053dfe6fbf9690.tar
error: '/home/mazhar/Downloads/a8c7d5417d7aefc9df053dfe6fbf9690.tar': invalid or corrupted package

بسته رو ناقص دانلود کردین
دوباره دانلود کنید

آفلاین

#14 2016-10-14 23:42:26

TUX
عضو
ثبت شده: 2016-01-31
ارسال ها: 84

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

mazhar نوشته است که:

ببخشید. اصلاح می کنم. اون پکیج مانجارو ارور دیگه ای داد. من اشتباهاً پکیج دیگه ای رو زده بودم. در هر صورت این اروره:

loading packages...
resolving dependencies...
looking for conflicting packages...
:: conky-lua-nv and conky are in conflict. Remove conky? [y/N] 

فکر نکنم کانکی رو حذف کنم تا پلاگینشو نصب کنم!! yikes

داره میگه برای نصب کانکی لوا باید کانکی رو حذف کنید، نمیشه دو بسته کانکی رو هم زمان در سیستم داشته باشید، موافقت کنید با حذف کانکی تا کانکی لوا نصب شه
کانکی لوا پلاگین نیست! بسته کانکی ای با پشتیبانی از اسکریپت لوا

آخرین ویرایش توسط TUX (2016-10-14 23:43:25)

آفلاین

#15 2016-10-14 23:43:24

mazhar
عضو
ثبت شده: 2016-08-01
ارسال ها: 253

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

اها smile ممنون big_smile

آفلاین

#16 2016-10-14 23:49:48

mazhar
عضو
ثبت شده: 2016-08-01
ارسال ها: 253

پاسخ: [حل شد] درخواست کمک PKGBUILD برای پکیج conky-lua

اغا ممنون از تک تک دوستان و شب خوشی رو براتون آرزو دارم. عالی حل شد. کسایی که بعداً این تاپیک رو میبینن راه حل در پست #8 مشکل من رو حل کرد.

آفلاین

پانوشت انجمن

پشتیبانی توسط تیم آرچ لینوکس ایران و نیرو گرفته با FluxBB